<?php
    class Cases{

        private $id;
        private $name;
        private $description;
        private $effet;
        private $position;
        private $montant;

        function __construct($position, $db){
            $this->db = $db;
            $sql = "SELECT * FROM `case` WHERE `Position` = $position";
            $case = $db->sqlSelect($sql);
            $this->id = $case['ID'];
            $this->name = $case['Name'];
            $this->effet = $case['Effet'];
            $this->position = $position;
            if($this->effet == 'Taxe' || $this->effet == 'Départ'){
                $this->montant = $case['Montant'];
            }
        }

        public function getName(){
            return $this->name;
        }

        public function getEffet(){
            return $this->effet;
        }

        public function getPosition(){
            return $this->position;
        }

        function actionCase($idJoueur, $plateau, $db){
            
            switch ($this->effet) {
                case "Propriete":
                    $carte = $plateau->searchCarte($this->position);
                    if($carte->getPossession() == 'Banque' && $_SESSION['premierTour']==1){
                        echo "Cette propriété est à vendre. Voulez-vous l'acheter ?<br>";
                        echo "<form method='get'>";
                            echo "<input type='checkbox' name='achat'>";
                            echo "<input type='submit'>";
                        echo "</form>";
                    }
                    else{
                        $joueur = $carte->getPossession();
                        echo "La carte ".$carte->getName()." appartient au joueur ".$joueur."<br>";
                        echo "Vous devez payer ".$carte->getPrice()."<br>";
                    }
                    break;
                case "Taxe":
                    $joueur = new Joueur($idJoueur,$db);
                    echo "Vous tombez sur la case $this->name vous devez payer $this->montant<br>";
                    $joueur->débiter($this->montant,$db);
                    break;
                case "Depart":
                    $joueur = new Joueur($idJoueur,$db);
                    echo "Vous tombez sur la case $this->name vous recevez $this->montant de plus !<br>";
                    $joueur->créditer($this->montant,$db);
                    break;
                case 3:
                default: "y a une couille";
            }
            
        }          

    }

?>