<!DOCTYPE html>
<html>
    <header>
            <?php
                /* Pour les personnages -> tableaux mod sur le nbr total de joueur. $perso = $persos[$nbTour%$nbPerso]
                   Plateau dans l'initialisation avec tous dedans puis variable session*/
                session_start();
                require_once('autoload.php');

                //unset($_SESSION['nbtour']);
                // Initialisation : 


                if(empty($_SESSION['premierTour']) && empty($_SESSION['nbtour'])){
                    $_SESSION['premierTour'] = 0;
                    $_SESSION['nbtour'] = 0;
                }
                $db = new Database ('monopoly');
                $plateau = Plateau::getInstance();
                $plateau->initCartes($db); //Création des classes Carte + import données depuis SQL
                $plateau->initCases($db); //Création des classes Cases + import données depuis SQL
                $plateau->initJoueurs($db); //Création des Joueurs (humains + IA) + export données objet vers SQL
                $plateau->initGame($db); //Crédite tout les joueurs de la somme départ, Tirage au sort du 1er joueur qui lance les dès
                //$plateau->pushJoueursDb($db);
                $plateau->pushCartesDb($db);

                
                
                // Si on lance les dés : 

                if(!empty($_GET['Dés'])){

                    $plateau = Plateau::getInstance();
                    $plateau->dés($db);
                    $_SESSION['nbtour'] += 1;
                    
                }

                // Si on veut acheter la propriété :

                if(!empty($_GET['achat'])){

                    $tour = $_SESSION['nbtour'] % 2;
                    $plateau = Plateau::getInstance();
                    $argent = $plateau->getPlayers()[$tour]->getArgent();
                    if($argent >= 1500000){
                        echo "Vous payez 1 500 000.<br>";
                        $plateau->getPlayers()[$tour]->débiter(1500000,$db);
                        echo "Félicitation vous devenez propriétaire !<br>";
                        $position = $plateau->getPlayers()[$tour]->getPosition();   
                        $cartePropriete = $plateau->searchCarte($position);
                        $cartePropriete->setPossession($plateau,$db);
                    }

                    else{
                        echo "Vous n'avez pas assez d'argent.<br>";
                    }                        
                }

            ?>

    </header>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<title>Monopoly</title>
		<meta name="description" content="">
		<meta name="viewport" content="width=device-width">
	</head>
	<body>
        <?php  
            
            echo "<form method='GET'>
                    <input type='submit' name='Dés' value='Lancer les dés'>
                  </form>";

        ?>

    </body>
</html>
