<?php

    spl_autoload_register(function ($class) {
        $class_file = $class.'php';
        if(file_exists($class_file)){
            require_once $class_file;
        }
        if(!file_exists($class_file)){
            $class_file = 'classes/' . $class . '.php';
            if(file_exists($class_file)){   
                require_once $class_file;
            }
        }
        if(!file_exists($class_file)){
            $class_file = 'classes/Player/' . $class . '.php';
            if(file_exists($class_file)){
                require_once $class_file;
            }
        }
        if(!file_exists($class_file)){
            $class_file = 'classes/Carte/' . $class . '.php';
            if(file_exists($class_file)){
                require_once $class_file;
            }
        }
        if(!file_exists($class_file)){
            throw new Exception("Unable to load class: '$class_file'");
        }
    });

?>